Subject: Re: [RESEND][PATCH] sata_fsl: hard and soft reset split

From: Jeff Garzik <[email-masked]>
Date: Fri, 11 Sep 2009 02:37:44 -0400

On 06/29/2009 09:26 AM, ashish kalra wrote:
> Split sata_fsl_softreset() into hard and soft resets to make
> error-handling more efficient & device and PMP detection more reliable.
>
> Also includes fix for PMP support, driver tested with Sil3726, Sil4726 &
> Exar PMP controllers.
>
> Signed-off-by: Ashish Kalra <[email-masked]>

can you rediff this and 'AN' support against latest upstream?